/*
 *  Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
 *  SPDX-License-Identifier: BSD-3-Clause-Clear
 */

#include "tafPiHash.h"

//--------------------------------------------------------------------------------------------------
/**
 * Boot slot bytes.
 */
//--------------------------------------------------------------------------------------------------
#define BOOT_SLOT_BYTES 4

//--------------------------------------------------------------------------------------------------
/**
 * Version bytes.
 */
//--------------------------------------------------------------------------------------------------
#define VERSION_BYTES 256

//--------------------------------------------------------------------------------------------------
/**
 * Component name bytes.
 */
//--------------------------------------------------------------------------------------------------
#define COMPONENT_NAME_BYTES 32

//--------------------------------------------------------------------------------------------------
/**
 * Page size for hash calculation.
 */
//--------------------------------------------------------------------------------------------------
#define HASH_PAGE_SIZE 4096

//--------------------------------------------------------------------------------------------------
/**
 * TelAF version file.
 */
//--------------------------------------------------------------------------------------------------
#define TELAF_VERSION_FILE "/legato/systems/current/version"

//--------------------------------------------------------------------------------------------------
/**
 * LXC hash file.
 */
//--------------------------------------------------------------------------------------------------
#define LXC_HASH_FILE "/lxcrootfs/etc/hash"

//--------------------------------------------------------------------------------------------------
/**
 * Hash configuration file.
 */
//--------------------------------------------------------------------------------------------------
#define HASH_CONFIG_FILE "/data/config.json"

//--------------------------------------------------------------------------------------------------
/**
 * Hash configuration structure.
 */
//--------------------------------------------------------------------------------------------------
typedef struct
{
    taf_pi_hash_Comp_t component;
    taf_pi_hash_Bank_t bank;
    taf_pi_hash_Type_t hashType;
    taf_pi_hash_Algorithm_t hashAlg;
    uint32_t imageSize;
} taf_piHash_Config_t;